# model
num_classes = 65
model = dict(type='ResNet', depth=50, num_classes=num_classes, pretrained=True)
loss = dict(
    train=dict(type='SmoothCE'),
    val=dict(type='CrossEntropyLoss'),
)

# data
sample_list_dir = f'./data/office_home'
src = 'P'  # A: Art, C: Clipart, P: Product, R: Real_World

batch_size = 64
num_workers = 4
mean = (0.485, 0.456, 0.406)
std = (0.229, 0.224, 0.225)
eps = 0.1  # label smoothing

# training optimizer & scheduler
epochs = 80
lr = 0.01
optimizer = dict(type='SGD', lr=lr, momentum=0.9, weight_decay=1e-3, nesterov=True)

# log & save
log_interval = 100
work_dir = None  # rewritten by args
resume = None
load = None
port = 10001
